//+------------------------------------------------------------------+
//|                                                    ClockTest.mq4 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, TheXpert"
#property link      "theforexpert@gmail.com"

#property show_inputs

extern int ClockSize = 150;

int start()
{
   while (!IsStopped())
   {
      if (ObjectFind("0 clock mover") == -1)
      {
         ObjectCreate("0 clock mover", OBJ_LABEL, 0, 0, 0);
         ObjectSetText("0 clock mover", "*", 20);
         ObjectSet("0 clock mover", OBJPROP_XDISTANCE, 20);
         ObjectSet("0 clock mover", OBJPROP_YDISTANCE, 20);
         ObjectSet("0 clock mover", OBJPROP_COLOR, White);
      }
      
      int x = ObjectGet("0 clock mover", OBJPROP_XDISTANCE);
      int y = ObjectGet("0 clock mover", OBJPROP_YDISTANCE);
      
      ObjectCreate("1 clock", OBJ_LABEL, 0, 0, 0);
      ObjectCreate("2 hour", OBJ_LABEL, 0, 0, 0);
      ObjectCreate("3 minute", OBJ_LABEL, 0, 0, 0);
      ObjectCreate("4 second", OBJ_LABEL, 0, 0, 0);
   
      datetime local = TimeLocal();
      
      ObjectSetText("1 clock", CharToStr(32), ClockSize, "ClockBuilder by TheXpert");
      ObjectSet("1 clock", OBJPROP_XDISTANCE, x);
      ObjectSet("1 clock", OBJPROP_YDISTANCE, y);
      ObjectSet("1 clock", OBJPROP_COLOR, Gray);

      int hours = TimeHour(local) % 12;
      
      ObjectSetText("2 hour", CharToStr(33 + hours), ClockSize, "ClockBuilder by TheXpert");
      ObjectSet("2 hour", OBJPROP_XDISTANCE, x);
      ObjectSet("2 hour", OBJPROP_YDISTANCE, y);
      ObjectSet("2 hour", OBJPROP_COLOR, Gray);

      int minutes = TimeMinute(local);

      ObjectSetText("3 minute", CharToStr(45 + minutes), ClockSize, "ClockBuilder by TheXpert");
      ObjectSet("3 minute", OBJPROP_XDISTANCE, x);
      ObjectSet("3 minute", OBJPROP_YDISTANCE, y);
      ObjectSet("3 minute", OBJPROP_COLOR, White);

      int seconds = TimeSeconds(local);
      
      ObjectSetText("4 second", CharToStr(105 + seconds), ClockSize, "ClockBuilder by TheXpert");
      ObjectSet("4 second", OBJPROP_XDISTANCE, x);
      ObjectSet("4 second", OBJPROP_YDISTANCE, y);
      ObjectSet("4 second", OBJPROP_COLOR, Red);
      
      WindowRedraw();

      Sleep(10);
   }

   return(0);
}

int deinit()
{
   ObjectDelete("1 clock");
   ObjectDelete("2 hour");
   ObjectDelete("3 minute");
   ObjectDelete("4 second");
   ObjectDelete("0 clock mover");
   WindowRedraw();
}